Bug 1122527 - Using <wsrp> tag in pages.xml of custom portal container no longer working in JPP 6.1.1
Summary: Using <wsrp> tag in pages.xml of custom portal container no longer working in...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER09
: 6.2.0
Assignee: Juraci Paixão Kröhling
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 12:46 UTC by Anurag
Modified: 2018-12-06 17:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3524 Major Resolved Custom portals cannot use remote portlets 2015-11-04 08:42:09 UTC

Description Anurag 2014-07-23 12:46:33 UTC
Description of problem:

Using the <wsrp> tag in pages.xml of a sample portal container to include a portlet marked as remotable, does not works in JPP-6.1.1 and in upcoming JPP-6.2.0.
This used to work flawlessly in JPP-6.1.0.

How reproducible:

Always with JPP-6.1.1 and 6.2

Steps to Reproduce:
1. Deploy a portlet marked remotable in JPP-6.1.
2. Use <wsrp> tag in pages.xml of a custom portal conatiner to include the portlet
3. Start JPP and on accessing the portlet error is thrown as mentioned below


Actual results:

-------------------------
Caused by: org.gatein.pc.api.NoSuchPortletException: No such portlet selfv2./<PortletAppName>.<PortletName>
-------------------------

Expected results:

The portlet should be accessible.

Additional info:

Comment 3 Juraci Paixão Kröhling 2015-02-27 07:15:23 UTC
Master already contains a fix for this. WSRP already has a released version with this fix. PR for 3.8.x sent: https://github.com/gatein/gatein-portal/pull/931

Comment 6 Peter Palaga 2015-03-03 13:30:37 UTC
An improved version of https://github.com/gatein/gatein-portal/pull/931 was merged to 3.8.x branch of GateIn Portal

Comment 7 Tomas Kyjovsky 2015-03-16 18:53:24 UTC
Tested in 6.2.0.ER9 using the following steps:
1) add remotable portlet on a test page (e.g. jsf2 quickstart portlet)
2) export portal site
3) verify <wsrp> tag present in the portlet section of exported pages.xml
4) remove the portlet from test page (or the whole test page altogether)
5) import the previously exported portal site
6) check if portlet present, check for errors in log

Comment 8 Tomas Kyjovsky 2015-05-12 14:22:10 UTC
Successfully retested in 6.2.0.CR3.


Note You need to log in before you can comment on or make changes to this bug.